<?php

namespace Drupal\book_pdfs\Event;

/**
 * Defines events for Book PDFs.
 */
final class BookPdfsEvents {

  /**
   * Dispatched before book_pdfs attempts to generate a PDF from the book HTML.
   *
   * The event listener method receives a
   * Drupal\book_pdfs\Event\BookPdfsPreStringEvent instance.
   *
   * @Event
   *
   * @var string
   */
  const PRE = 'book_pdfs.pre';

}
